# List all service groups Returns a list of service group objects. Endpoint: GET /service-groups Version: 2018-02-08 Security: APIKeyHeader ## Header parameters: - `SHIPPO-API-VERSION` (string) Optional string used to pick a non-default API version to use. See our API version guide. Example: "2018-02-08" ## Response 200 fields (application/json): - `description` (string, required) Description for the service group Example: "USPS shipping options" - `flat_rate` (string) String representation of an amount to be returned as the flat rate if 1. The service group is of type LIVE_RATE and no matching rates were found; or 2. The service group is of type FLAT_RATE. Either integers or decimals are accepted. Required unless type is FREE_SHIPPING Example: "5" - `flat_rate_currency` (string) required unless type is FREE_SHIPPING. (ISO 4217 currency) Example: "USD" - `free_shipping_threshold_currency` (string) optional unless type is FREE_SHIPPING. (ISO 4217 currency) Example: "USD" - `free_shipping_threshold_min` (string) For service groups of type FREE_SHIPPING, this field must be required to configure the minimum cart total (total cost of items in the cart) for this service group to be returned for rates at checkout. Optional unless type is FREE_SHIPPING Example: "5" - `name` (string, required) Name for the service group that will be shown to customers in the response Example: "USPS Shipping" - `rate_adjustment` (integer) The amount in percent (%) that the service group's returned rate should be adjusted. For example, if this field is set to 5 and the matched rate price is $5.00, the returned value of the service group will be $5.25. Negative integers are also accepted and will discount the rate price by the defined percentage amount. Example: 15 - `type` (string, required) The type of the service group. LIVE_RATE - Shippo will make a rating request and return real-time rates for the shipping group, only falling back to the specified flat rate amount if no rates match a service level in the service group. FLAT_RATE - Returns a shipping option with the specified flat rate amount. FREE_SHIPPING - Returns a shipping option with a price of $0 only if the total cost of items exceeds the amount defined by free_shipping_threshold_min Enum: "LIVE_RATE", "FLAT_RATE", "FREE_SHIPPING" - `object_id` (string, required) The unique identifier of the given Service Group object. Example: "80feb1633d4a43c898f005850" - `is_active` (boolean) True if the service group is enabled, false otherwise. Example: true - `service_levels` (array, required) - `service_levels.account_object_id` (string) ID of a Carrier Account object Example: "80feb1633d4a43c898f0058506cfd82d" - `service_levels.service_level_token` (string) Service level token, e.g. usps_priority or fedex_ground. See Service Levels. Example: "ups_next_day_air_saver"